Page MenuHomePhabricator

Remove mobile.experiments module from MobileFrontend
Closed, ResolvedPublic

Description

Now this is in core we should make exclusive use of this. @phuedx able to give a gut estimation of how trivial this is? Going to keep it in the background for this sprint in case we need more tasks.

Event Timeline

Jdlrobson raised the priority of this task from to Needs Triage.
Jdlrobson updated the task description. (Show Details)
Jdlrobson moved this task to Backlog on the MobileFrontend board.
Jdlrobson added subscribers: Jdlrobson, phuedx.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2015, 12:02 AM

Half a story point at best. Gather is the only client of the original code so, as well as removing the mobile.experiments module and associated configuration variable, you'll have to tweak the Gather codebase too.

One story point at worst.

Jdlrobson triaged this task as Low priority.Sep 8 2015, 11:43 PM

Since it's tech debt I'm not going to assign points to it. It's a points penalty but given it's small I think someone should go ahead and do this if they have time.

phuedx added a comment.Sep 9 2015, 4:55 PM

Make sure that Gather isn't broken by the removal of the module.

rmoen set Security to None.
rmoen moved this task from To Do to Doing on the Reading-Web-Sprint-55-π board.
rmoen added a comment.EditedSep 10 2015, 8:51 PM

@Jdlrobson, @phuedx: Seems like an experiment hasn't been defined for Gather and it's initializing by default in beta. Should I simply remove the bucketing work and it can be reintroduced if such an experiment is defined?

Change 237501 had a related patch set uploaded (by Robmoen):
Remove mobile.experiments as mediawiki.experiments is in core

https://gerrit.wikimedia.org/r/237501

Change 237500 had a related patch set uploaded (by Robmoen):
Remove mobile.experiments dependency

https://gerrit.wikimedia.org/r/237500

Change 237500 merged by jenkins-bot:
Remove mobile.experiments in favor of mediawiki.experiments

https://gerrit.wikimedia.org/r/237500

Change 237501 merged by jenkins-bot:
Remove mobile.experiments as mediawiki.experiments is in core

https://gerrit.wikimedia.org/r/237501

Jdlrobson closed this task as Resolved.Sep 11 2015, 11:59 PM
Jdlrobson moved this task from Ready for Signoff to Done on the Reading-Web-Sprint-55-π board.

Technical task